rte_eth_fdir_info(3)

NAME
rte_eth_fdir_info

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

enum rte_fdir_mode mode
struct rte_eth_fdir_flex_conf flex_conf
uint32_t guarant_spc
uint32_t best_spc
uint64_t flow_types_mask [RTE_FLOW_MASK_ARRAY_SIZE]
uint32_t max_flexpayload
uint32_t flex_payload_unit
uint32_t max_flex_payload_segment_num
uint16_t flex_payload_limit
uint32_t flex_bitmask_unit
uint32_t max_flex_bitmask_num

Detailed Description

A structure used to get the information of flow director filter. It supports RTE_ETH_FILTER_FDIR with RTE_ETH_FILTER_INFO operation. It includes the mode, flexible payload configuration information, capabilities and supported flow types, flexible payload characters. It can be gotten to help taking specific configurations per device.

Definition at line 440 of file rte_eth_ctrl.h.

Field Documentation

  enum rte_fdir_mode mode
Flow director mode

Definition at line 441 of file rte_eth_ctrl.h.

  struct rte_eth_fdir_flex_conf flex_conf
Flex payload configuration information

Definition at line 444 of file rte_eth_ctrl.h.

  uint32_t guarant_spc
Guaranteed spaces.

Definition at line 445 of file rte_eth_ctrl.h.

  uint32_t best_spc
Best effort spaces.

Definition at line 446 of file rte_eth_ctrl.h.

  uint64_t flow_types_mask[RTE_FLOW_MASK_ARRAY_SIZE]
Bit mask for every supported flow type.

Definition at line 448 of file rte_eth_ctrl.h.

  uint32_t max_flexpayload
Total flex payload in bytes.

Definition at line 449 of file rte_eth_ctrl.h.

  uint32_t flex_payload_unit
Flexible payload unit in bytes. Size and alignments of all flex payload segments should be multiplies of this value.

Definition at line 452 of file rte_eth_ctrl.h.

  uint32_t max_flex_payload_segment_num
Max number of flexible payload continuous segments. Each segment should be a multiple of flex_payload_unit.

Definition at line 455 of file rte_eth_ctrl.h.

  uint16_t flex_payload_limit
Maximum src_offset in bytes allowed. It indicates that src_offset[i] in struct rte_eth_flex_payload_cfg should be less than this value.

Definition at line 459 of file rte_eth_ctrl.h.

  uint32_t flex_bitmask_unit
Flex bitmask unit in bytes. Size of flex bitmasks should be a multiply of this value.

Definition at line 462 of file rte_eth_ctrl.h.

  uint32_t max_flex_bitmask_num
Max supported size of flex bitmasks in flex_bitmask_unit

Definition at line 464 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.